aboutsummaryrefslogtreecommitdiffstats
path: root/ansible
diff options
context:
space:
mode:
authorsveneh <sven@ethdev.com>2015-02-05 19:09:35 +0800
committersveneh <sven@ethdev.com>2015-02-05 19:09:35 +0800
commit5235124460fd0de55c07cd6aae9638e94272ff19 (patch)
tree6b89fe8a54291a01ad1a1bf51bb42098d6eb593d /ansible
parent2e2e36cc7220522d7b33b654543907163c973156 (diff)
downloaddexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.tar
dexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.tar.gz
dexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.tar.bz2
dexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.tar.lz
dexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.tar.xz
dexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.tar.zst
dexon-tests-5235124460fd0de55c07cd6aae9638e94272ff19.zip
enabled python in tests
Diffstat (limited to 'ansible')
-rwxr-xr-xansible/test-files/testrunner.sh33
1 files changed, 17 insertions, 16 deletions
diff --git a/ansible/test-files/testrunner.sh b/ansible/test-files/testrunner.sh
index 5d7779109..30a813e12 100755
--- a/ansible/test-files/testrunner.sh
+++ b/ansible/test-files/testrunner.sh
@@ -1,23 +1,24 @@
#!/bin/bash
# create random virtual machine test
-#cd ~/software/Ethereum/pyethereum (python has local dependencies so only works from within the directory)
-cd ~
+
+mkdir --parents ~/testout
+cd ~/testout
while [ 1 ]
do
- TEST="$(docker run --rm --entrypoint="/cpp-ethereum/build/test/createRandomTest" cppjit)"
+ TEST="$(docker run --rm --entrypoint=\"/cpp-ethereum/build/test/createRandomTest\" ethereum/cppjit-testrunner)"
# echo "$TEST"
# test pyethereum
- #OUTPUT_PYTHON="$(python ./tests/test_vm.py "$TEST")"
- #RESULT_PYTHON=$?
+ OUTPUT_PYTHON="$(docker run --rm ethereum/python-testrunner "$TEST")"
+ RESULT_PYTHON=$?
# test go
- OUTPUT_GO="$(docker run --rm go "$TEST")"
+ OUTPUT_GO="$(docker run --rm ethereum/go-testrunner "$TEST")"
RESULT_GO=$?
# test cpp-jit
- OUTPUT_CPPJIT="$(docker run --rm cppjit "$TEST")"
+ OUTPUT_CPPJIT="$(docker run --rm ethereum/cppjit-testrunner "$TEST")"
RESULT_CPPJIT=$?
# go fails
@@ -32,15 +33,15 @@ do
fi
# python fails
- #if [ "$RESULT_PYTHON" -ne 0 ]; then
- # echo Failed:
- # echo Output_PYTHON:
- # echo $OUTPUT_PYTHON
- # echo Test:
- # echo "$TEST"
- # echo "$TEST" > FailedTest.json
- # mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")PYTHON.json
- #fi
+ if [ "$RESULT_PYTHON" -ne 0 ]; then
+ echo Failed:
+ echo Output_PYTHON:
+ echo $OUTPUT_PYTHON
+ echo Test:
+ echo "$TEST"
+ echo "$TEST" > FailedTest.json
+ mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")PYTHON.json
+ fi
# cppjit fails
if [ "$RESULT_CPPJIT" -ne 0 ]; then